/* ----------------------------------------------------------------------------
  f2cad: Convert Fortran to C++ AD Types: Copyright (C) 2005-10 Bradley M. Bell
  Authors:  Bradley M. Bell    bradbell at washington dot edu
  License:  GNU Public License Version 2 or higher
-----------------------------------------------------------------------------*/

/*
$begin xerror$$
$spell
	hpp
	cmlib
	xerror
	cstring
	xerror
	bool
	const
	messg
	nmessg
	std
	strlen
	nerr
	len
	ftnlen
$$

$section  xerror$$

$index cmlib, xerror$$
$index xerror, cmlib$$

$head Prototype$$
$include p.omh/xerror.p.omh$$


$children%
	omh/xerror.f.omh
%$$
$head Fortran Source$$
$cref xerror.f$$

$head Description$$
This example uses the Cmlib routine 
$codei%xerror.f%$$ to print the message 
$codep
	Ok:    xerror
$$
(which is the expected output for this tests; see $cref/run.cpp/$$).

$codep */

# include <cstring>
# include <f2cad/xerror.hpp>

void xerror(void)
{
	const char* messg     = "Pass: xerror\n";
	integer     nmessg    = std::strlen(messg);
	integer     nerr      = 1;
	integer     level     = 0;
 	ftnlen      messg_len = (ftnlen) nmessg;   

	f2cad::xerror_(messg, &nmessg, &nerr, &level, messg_len);

}
/* $$
$end
*/
